Update a volume backup

PUT/v1/cloud_block_storage/backups/{backup_id}

A PUT request to the /v1/cloud_block_storage/backups/{backup_id} endpoint will update a cloud backup specified in the path parameter. You can add a label to the request body as well.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
backup_id
string

A unique identifier of a cloud volume backup.

Request Body

FieldDetails
labels?
object

Specify labels you want to attach to the resource. Refer to the Labels section for more details.

Response Body

application/json

curl -X PUT "https://example.com/v1/cloud_block_storage/backups/MYerEdOB" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "MYerEdOB",  "openstack_uuid": "1d402a61-ea06-4a5f-8e95-130083da3e87",  "openstack_volume_uuid": "fe9ce5d5-5cff-4ecc-a9a2-29978de064d0",  "region_id": 0,  "region_code": "NL01",  "name": "name447",  "size": 1,  "status": "available",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2025-12-31T00:00:00Z"}